export declare type Absent = null | undefined | void;
export declare type Present = number | string | boolean | symbol | object;
export declare type Option<T> = T | null;
export declare type Maybe<T> = T | void | undefined | null;
export interface Dict<T = unknown> {
    [key: string]: T | undefined;
}
export declare type Indexable<T = unknown> = Readonly<Dict<T>>;
export interface Constructor<T = unknown> {
    new (...args: any[]): T;
}
